按输入筛选条件发现 Google 航班
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"origin": "<string>",
"destination": "<string>",
"departure": "<string>",
"return": "<string>",
"trip_type": "<string>",
"adults": 123,
"children": 123,
"infants_in_seat": 123,
"infants_on_lap": 123,
"cabin": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"origin": "<string>",
"destination": "<string>",
"departure": "<string>",
"return": "<string>",
"trip_type": "<string>",
"adults": 123,
"children": 123,
"infants_in_seat": 123,
"infants_on_lap": 123,
"cabin": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: [
{
origin: '<string>',
destination: '<string>',
departure: '<string>',
return: '<string>',
trip_type: '<string>',
adults: 123,
children: 123,
infants_in_seat: 123,
infants_on_lap: 123,
cabin: '<string>'
}
]
})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"origin": "JFK",
"destination": "LAX",
"departure_date": "2026-06-15",
"return_date": "2026-06-22",
"cabin": "economy",
"flights": [
{
"airline": "Delta",
"flight_number": "DL 1234",
"duration_minutes": 390,
"stops": 0,
"price": "328.00",
"currency": "USD"
}
]
}
]
Google
按输入筛选条件发现 Google 航班
使用 Bright Data Web Scraper API 按输入筛选条件发现 Google 航班。POST /datasets/v3/scrape 以 JSON 格式返回航班记录。
POST
/
datasets
/
v3
/
scrape
按输入筛选条件发现 Google 航班
查询参数
string
默认值:"gd_mhng7wen1rw0a3gvpf"
必填
用于此请求的数据集 ID。
必须设置为
gd_mhng7wen1rw0a3gvpf 以发现按输入筛选条件的 Google 航班数据。string
默认值:"discover_new"
必填
必须设置为
discover_new。string
默认值:"input_filters"
必填
必须设置为
input_filters。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
输入对象的数组。
显示 properties
显示 properties
示例
{
"input": [
{
"origin": "JFK",
"destination": "LAX",
"departure": "2026-06-15",
"return": "2026-06-22",
"trip_type": "round_trip",
"adults": 1,
"children": 0,
"infants_in_seat": 0,
"infants_on_lap": 0,
"cabin": "economy"
}
]
}
[
{
"origin": "JFK",
"destination": "LAX",
"departure_date": "2026-06-15",
"return_date": "2026-06-22",
"cabin": "economy",
"flights": [
{
"airline": "Delta",
"flight_number": "DL 1234",
"duration_minutes": 390,
"stops": 0,
"price": "328.00",
"currency": "USD"
}
]
}
]
此页面对您有帮助吗?